@font-face {
    font-family: 'circular20';
    src: url('../Fonts/Circular20-Book.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'circular20';
    src: url('../Fonts/Circular20-Medium.otf') format('opentype');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'circular20';
    src: url('../Fonts/Circular20-Bold.otf') format('opentype');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

html, body {
    background-color: White;
    font-size: var(--text-font-primary);
    font-family: circular20;
    height: 100%;
}

table td,
table th {
    color: var(--text-foreground);
}

a {
    font-weight: bold;
    color: var(--bg-btn-primary-hover);
    text-decoration: none;
}

    a:hover {
        font-weight: bold;
        color: var(--bg-btn-primary-active);
    }

.bg-swirl {
    position: fixed;
    background-color: transparent;
}
.main-content {
    position: relative;
    margin-bottom: -85px;
    min-height: 100%;
}

.setHeight {
    height: 100%;
}
.contentSection {
    position: relative;
    height: 100%;
}

    .contentSection .centerContainer {
        position: absolute;
        right: 50%;
        top: 50%;
        height: 450px;
        width: 450px;
        -webkit-transform: translate(50%, -50%);
        transform: translate(50%, -50%);
        display: flex;
        align-items: center;
        flex-direction: column;
    }

        .contentSection .centerContainer .logoContainer {
            width: 225px;
            margin-bottom: 30px;
        }

            .contentSection .centerContainer .logoContainer > img {
                width: 100% !important;
            }

        .contentSection .centerContainer .spaceRow {
            height: 25px;
        }

        .contentSection .centerContainer .forgotPasswordContainer {
            text-align: right;
            padding-top: 15px;
        }

    .contentSection .forgotPasswordContainer > a {
        font-weight: normal;
        font-style: italic;
        font-size: 10px;
    }

    .contentSection .centerContainer .biometricDevice {
        padding-top: 50px;
        text-align: center;
    }

    .contentSection .biometricDevice > a {
        font-weight: bold;
        font-size: 10px;
    }

    .contentSection .centerContainer .fieldContainer {
        background: var(--bg-login);
        padding: 10%;
        border-radius: 15px;
        width: 300px;
        font-family: circular20;
        text-align: center;
        margin: 0 auto;
    }

        .contentSection .centerContainer .fieldContainer form {
            display: flex;
            flex-direction: column;
        }

    .contentSection .centerContainer .signInButtonContainer {
        text-align: center;
    }

.signinHeader {
    font-size: var(--text-title-font-primary);
    font-weight: bold;
    margin-bottom: 15px;
}
.sigin-input-group {
    text-align: left;
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;
}
.UserLabel {
    margin-bottom: 5px
}

.text-foreground {
    color: var(--text-foreground);
}

    .sigin-input-group label,
    .clockNowEl20 label.labelEL20 {
        margin-bottom: 5px;
        font-size: 11px;
        display: block
    }

.quickLink,
.return-link a {
    font-weight: bold;
    color: var(--bg-btn-primary-hover);
    text-decoration: none;
    font-size: 11px;
    text-transform: capitalize;
}

.mt-4 {
    margin-top: 1.5rem
}
.buttonEL20,
.buttonEL20:focus,
.buttonEL20:hover {
    background-color: var(--bg-btn-primary);
    border-color: var(--bg-btn-primary);
    padding: var(--table-btn-padding);
    margin-right: 3px;
    color: #ffffff;
    cursor: pointer;
    font-size: var(--text-font-primary);
    border: 1px solid var(--bg-btn-primary);
    border-radius: 5px;
    margin: 0;
    font-weight: bold;
    line-height: normal;
}

.buttonEL20-disabled {
    background-color: lightgrey !important;
    border-color: lightgrey !important;
}

.buttonEL20:hover {
    background-color: var(--bg-btn-primary-hover);
}

.buttonEL20:focus {
    outline: 1px solid var(--white);
    outline-offset: -3px;
    border: 1px solid var(--bg-btn-primary);
}
.textboxEL20 {
    width: 100%;
    height: 26px;
    border-radius: 6px;
    font-size: 10px;
    padding-left: 6px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    border: 1px solid var(--table-border);
}

.signin-input-font {
    font-family: 'circular20', sans-serif;
    font-size: var(--bg-btn-primary);
    color: var(--text-foreground) !important;
}

    .textboxEL20:focus {
        border: 1px solid var(--bg-btn-primary);
        outline: 0;
    }

.error-message {
    border-color: #ff0033;
    background-color: #F3C9C9;
    padding: 5px;
    display: flex;
    display: -ms-flexbox;
    -ms-flex-align: center;
}

    .error-message ul {
        padding-inline-start: 0px;
    }

.errorContent {
    margin-bottom: 25px;
    padding: 5px 10px 5px 5px;
    background-color: #F3C9C9;
    align-items: center;
    width: 99%;
    background-repeat: no-repeat;
    background-position: 8px center;
}


.custom-error-message {
    padding: 15px;
}
.error-icon-wrapper {
    width: 40px;
    display: flex;
    padding: 15px 0px 15px 10px;
}
.errorTable {
    padding: 0px;
    background-color: #F3C9C9;
    font-size: var(--text-font-primary);
    margin-bottom: 25px;
    width: 100%;
}
